Bug 1534943 (CVE-2018-2634) - CVE-2018-2634 OpenJDK: use of global credentials for HTTP/SPNEGO (JGSS, 8186600)
Summary: CVE-2018-2634 OpenJDK: use of global credentials for HTTP/SPNEGO (JGSS, 8186600)
Status: CLOSED ERRATA
Alias: CVE-2018-2634
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180116,repo...
Keywords: Security
Depends On: 1528238 1528239 1528240 1528241 1528243 1528244 1528245 1528246 1535085 1535086 1535087 1535088 1535089 1535090 1535091 1535092 1546135 1546136 1546137 1546138 1546140 1546141 1546142 1546143 1549401 1549402
Blocks: 1528235
TreeView+ depends on / blocked
 
Reported: 2018-01-16 10:27 UTC by Tomas Hoger
Modified: 2018-06-07 16:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
The JGSS component of OpenJDK ignores the value of the javax.security.auth.useSubjectCredsOnly property when using HTTP/SPNEGO authentication and always uses global credentials. It was discovered that this could cause global credentials to be unexpectedly used by an untrusted Java application.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-14 15:38:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0095 normal SHIPPED_LIVE Important: java-1.8.0-openjdk security update 2018-01-17 22:33:04 UTC
Red Hat Product Errata RHSA-2018:0099 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2018-01-19 02:55:29 UTC
Red Hat Product Errata RHSA-2018:0100 normal SHIPPED_LIVE Important: java-1.7.0-oracle security update 2018-01-19 02:55:56 UTC
Red Hat Product Errata RHSA-2018:0349 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2018-02-27 03:27:34 UTC
Red Hat Product Errata RHSA-2018:0351 normal SHIPPED_LIVE Critical: java-1.8.0-ibm security update 2018-02-27 02:32:17 UTC
Red Hat Product Errata RHSA-2018:0352 normal SHIPPED_LIVE Critical: java-1.8.0-ibm security update 2018-02-27 02:37:30 UTC
Red Hat Product Errata RHSA-2018:0458 normal SHIPPED_LIVE Important: java-1.7.1-ibm security update 2018-03-07 15:33:13 UTC
Red Hat Product Errata RHSA-2018:0521 normal SHIPPED_LIVE Important: java-1.7.1-ibm security update 2018-03-14 19:23:31 UTC
Red Hat Product Errata RHSA-2018:1463 None None None 2018-05-15 15:32 UTC
Red Hat Product Errata RHSA-2018:1812 None None None 2018-06-07 16:05 UTC

Description Tomas Hoger 2018-01-16 10:27:51 UTC
The JGSS component of OpenJDK ignores the value of javax.security.auth.useSubjectCredsOnly when using HTTP/SPNEGO authentication and always uses global credentials, see:

https://bugs.openjdk.java.net/browse/JDK-6560359

This could cause global credentials to be unexpectedly used by an untrusted Java application.  The fix adds new system property http.use.global.creds which, when set to false, prevents the use of global credentials.

Comment 1 Tomas Hoger 2018-01-16 21:30:21 UTC
Public now via Oracle CPU January 2018:

http://www.oracle.com/technetwork/security-advisory/cpujan2018-3236628.html#AppendixJAVA

The issue was fixed in Oracle JDK 9.0.4, 8u161, and 7u171.

Comment 2 errata-xmlrpc 2018-01-17 17:35:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2018:0095 https://access.redhat.com/errata/RHSA-2018:0095

Comment 3 errata-xmlrpc 2018-01-18 21:58:26 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2018:0099 https://access.redhat.com/errata/RHSA-2018:0099

Comment 4 errata-xmlrpc 2018-01-18 22:00:50 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2018:0100 https://access.redhat.com/errata/RHSA-2018:0100

Comment 5 Tomas Hoger 2018-01-23 13:02:02 UTC
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/54545fe8a16c

Comment 6 errata-xmlrpc 2018-02-26 21:33:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2018:0351 https://access.redhat.com/errata/RHSA-2018:0351

Comment 7 errata-xmlrpc 2018-02-26 21:38:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:0352 https://access.redhat.com/errata/RHSA-2018:0352

Comment 8 errata-xmlrpc 2018-02-26 22:21:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2018:0349 https://access.redhat.com/errata/RHSA-2018:0349

Comment 11 errata-xmlrpc 2018-03-07 10:34:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2018:0458 https://access.redhat.com/errata/RHSA-2018:0458

Comment 12 errata-xmlrpc 2018-03-14 15:24:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2018:0521 https://access.redhat.com/errata/RHSA-2018:0521

Comment 13 errata-xmlrpc 2018-05-15 15:32:00 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2018:1463 https://access.redhat.com/errata/RHSA-2018:1463

Comment 14 errata-xmlrpc 2018-06-07 16:05:09 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2018:1812 https://access.redhat.com/errata/RHSA-2018:1812


Note You need to log in before you can comment on or make changes to this bug.